Bug 4645 - INTERNAL ERROR: Signal 11
INTERNAL ERROR: Signal 11
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.25
Sparc Solaris
: P3 major
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 10:10 UTC by Hagen Heiduck
Modified: 2007-05-22 08:44 UTC (History)
0 users

See Also:


Attachments
Samba log file (log level = 10) (68.41 KB, application/x-gzip)
2007-05-22 04:31 UTC, Hagen Heiduck
no flags Details
fix (1.26 KB, patch)
2007-05-22 05:06 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hagen Heiduck 2007-05-21 10:10:42 UTC
We're running Samba 3.0.25 under Solaris 10 11/06 using ZFS and noticed panic errors in some situations:

[2007/05/21 16:23:20, 1] smbd/service.c:make_connection_snum(1033)
  141.65.129.51 (141.65.129.51) connect to service gruppen initially as user grafe (uid=38133, gid=2200) (pid 2078)
[2007/05/21 16:23:37, 2] smbd/open.c:open_file(386)
  grafe opened file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert.xls read=Yes write=No (numopen=2)
[2007/05/21 16:23:42, 2] smbd/open.c:open_file(386)
  grafe opened file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert_neu.xls read=Yes write=No (numopen=3)
[2007/05/21 16:23:48, 2] smbd/open.c:open_file(386)
  grafe opened file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert.xls read=No write=No (numopen=4)
[2007/05/21 16:23:48, 2] smbd/close.c:close_normal_file(395)
  grafe closed file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert.xls (numopen=3) NT_STATUS_OK
[2007/05/21 16:23:48, 2] smbd/close.c:close_normal_file(395)
  grafe closed file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert.xls (numopen=2) NT_STATUS_OK
[2007/05/21 16:23:48, 2] smbd/open.c:open_file(386)
  grafe opened file wkdv/Mitarbeiter/grafe/PATCH/netzdosenhalle_insert.xls read=Yes write=Yes (numopen=3)
[2007/05/21 16:23:48, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2007/05/21 16:23:48, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 2078 (3.0.25)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2007/05/21 16:23:48, 0] lib/fault.c:fault_report(44)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2007/05/21 16:23:48, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2007/05/21 16:23:48, 0] lib/util.c:smb_panic(1632)
  PANIC (pid 2078): internal error
[2007/05/21 16:23:48, 0] lib/util.c:log_stack_trace(1786)
  unable to produce a stack trace on this platform
[2007/05/21 16:23:48, 0] lib/util.c:smb_panic(1637)
  smb_panic(): calling panic action [/bin/sleep 90000]

This was happening as someone tried to open an Excel sheet with Office 2002 / Win XP and is reproducible, following a backtrace:

#0  0xfec41db4 in _waitid () from /lib/libc.so.1
#1  0xfebe8514 in _waitpid () from /lib/libc.so.1
#2  0xfec34cb4 in waitpid () from /lib/libc.so.1
#3  0xfec282cc in system () from /lib/libc.so.1
#4  0x003b2088 in smb_panic (why=0x5782b0 "internal error") at lib/util.c:1638
#5  0x0038b5ec in fault_report (sig=11) at lib/fault.c:47
#6  0x0038b604 in sig_fault (sig=11) at lib/fault.c:70
#7  0xfec40a00 in __sighndlr () from /lib/libc.so.1
#8  0xfec35ae8 in call_user_handler () from /lib/libc.so.1
#9  0xfeba25f8 in _cerror () from /lib/libc.so.1
#10 0xfeba25f8 in _cerror () from /lib/libc.so.1
Previous frame identical to this frame (corrupt stack?)

Samba was compiled with

CFLAGS="-g -mcpu=ultrasparc3"                   \
./configure                                     \
        --prefix=/opt/samba                     \
        --with-acl-support                      \
        --with-ads                              \
        --with-configdir=/etc/samba             \
        --with-lockdir=/var/samba/locks         \
        --with-logfilebase=/var/samba/log       \
        --with-piddir=/var/samba/locks          \
        --with-quotas                           \
        --enable-debug

As this is a new server environment we don't have any experiences with previous Samba versions with this configuration. Anyway, pls let me know if you need further debug information.
Comment 1 Gerald (Jerry) Carter 2007-05-21 10:25:13 UTC
Jeremy,  Mind taking a look at this ?

Hagen, we'll need a gzipped full level 10 debug log from the crashed 
      smbd process.  Thanks
Comment 2 Hagen Heiduck 2007-05-22 01:44:08 UTC
For now, error has vanished. Strange.. But I keep watching.
Comment 3 Hagen Heiduck 2007-05-22 04:31:25 UTC
Created attachment 2717 [details]
Samba log file (log level = 10)

Error occured again, now I've catched it.
Comment 4 Volker Lendecke 2007-05-22 05:06:42 UTC
Created attachment 2718 [details]
fix

Can you try the attached patch? It should fix this.

Thanks for reporting the bug!
Comment 5 Gerald (Jerry) Carter 2007-05-22 07:02:05 UTC
Please reopen if VOlker's patch does not fix the bug for you.
Comment 6 Hagen Heiduck 2007-05-22 08:44:00 UTC
I will do so, but the patch seems to fix the bug, indeed. Thank you!